
extern unsigned short rf12_trans(unsigned short wert);
extern void rf12_init(void);
extern void rf12_mode(unsigned char tx_on, unsigned char rx_on);
extern void rf12_setfreq(unsigned short freq);
extern void rf12_setbaud(unsigned short baud);
extern void rf12_setpower(unsigned char power, unsigned char mod);
extern void rf12_setbandwidth(unsigned char bandwidth, unsigned char gain, unsigned char drssi);
extern void rf12_tx(unsigned char byte);
extern unsigned char rf12_rx(void);
extern unsigned char rf12_status(void);

#define RF12FREQ(freq)	((freq-430.0)/0.0025)

#define BW400	1
#define BW340	2
#define BW270	3
#define BW200	4
#define BW134	5
#define BW67	6

#define LNA0	0
#define LNAM6	1
#define LNAM14	2
#define LNAM20	3

